package com.chinaitop.depot.intelligent.fumigation.mapper;

import com.chinaitop.depot.intelligent.fumigation.model.TFumigationAfter;
import com.chinaitop.depot.intelligent.fumigation.model.TFumigationAfterExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface TFumigationAfterMapper {
    int countByExample(TFumigationAfterExample example);

    int deleteByExample(TFumigationAfterExample example);

    int deleteByPrimaryKey(String id);

    int insert(TFumigationAfter record);

    int insertSelective(TFumigationAfter record);

    List<TFumigationAfter> selectByExample(TFumigationAfterExample example);

    TFumigationAfter selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TFumigationAfter record, @Param("example") TFumigationAfterExample example);

    int updateByExample(@Param("record") TFumigationAfter record, @Param("example") TFumigationAfterExample example);

    int updateByPrimaryKeySelective(TFumigationAfter record);

    int updateByPrimaryKey(TFumigationAfter record);

    List<Map<String,Object>> getFumigationAfterList(Map<String, Object> map);

    //获取作业列表
    List<Map<String,Object>> selectHomeWorkQueryList(Map<String, Object> map);
}